Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum ContactSearch.PROPERTY

    java.lang.Object
      java.lang.Enum<ContactSearch.PROPERTY>
          com.skype.api.ContactSearch.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContactSearch.PROPERTY>

Enclosing class:
  ContactSearch

    public static enum ContactSearch.PROPERTY

extends java.lang.Enum<ContactSearch.PROPERTY>

Properties of the ContactSearch class

Enum Constant Summary
`contact_search_status` type: STATUS

Method Summary
`static ContactSearch.PROPERTY` | `fromString(java.lang.String s)`
`static ContactSearch.PROPERTY` | `get(int code)`
`int` | `getId()`
`static ContactSearch.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContactSearch.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### contact_search_status

    public static final ContactSearch.PROPERTY contact_search_status

  type: STATUS

Method Detail

### values

    public static ContactSearch.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactSearch.PROPERTY c : ContactSearch.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactSearch.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static ContactSearch.PROPERTY get(int code)

### fromString

    public static ContactSearch.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.